/*

This do-file replicates the specialization regressions from di Giovanni and Levchenko,

"Trade Openness and Volatility," REStat 2009.

In particular, Tables 2, 6, C4, and C6.
*/


set more off
use data_panel_web, clear


****************************************************
* OLS: Table 2 for variance output per worker
****************************************************

reg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit decadedum*, cluster(cs)
reg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit decadedum* sectdum*, cluster(cs)
reg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit decadedum* ctrydum*, cluster(cs)
reg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit decadedum* ctrydum* sectdum*, cluster(cs)
reg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit ctrydum* sddum*, cluster(cs)
reg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit sectdum* cddum*, cluster(cs)
areg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit decadedum*, cluster(cs) abs(cs)
areg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit sddum* cddum*, cluster(cs) abs(cs)

*******************************************************
* OLS: Table 6 for correlation output per worker
*******************************************************

reg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit decadedum* if corrsample==1, cluster(cs)
reg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit decadedum* sectdum* if corrsample==1, cluster(cs)
reg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit decadedum* ctrydum* if corrsample==1, cluster(cs)
reg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit decadedum* ctrydum* sectdum* if corrsample==1, cluster(cs)
reg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit ctrydum* sddum* if corrsample==1, cluster(cs)
reg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit sectdum* cddum* if corrsample==1, cluster(cs)
areg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit decadedum* if corrsample==1, cluster(cs) abs(cs)
areg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit sddum* cddum* if corrsample==1, cluster(cs) abs(cs)

*****************************************************
* Robustness: Table C4 for variance output per worker
*****************************************************

areg lvar10realoutput1_w lm10rstott_sy lm10realoutput1_w decadedum*, cluster(cs) abs(cs)
areg lvar10realoutput1_w lm10rstott_sy gm10realoutput1_w decadedum*, cluster(cs) abs(cs)
areg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit m10share decadedum*, cluster(cs) abs(cs)
areg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit int5 decadedum*, cluster(cs) abs(cs)
areg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit lvar10realstottrade1 decadedum*, cluster(cs) abs(cs)
areg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit lvar10realstottrade1 int1 decadedum*, cluster(cs) abs(cs)
reg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit lm10sharemanuftrade sddum*, cluster(cs)
areg lvar10realoutput1_w lm10rstott_sy lrealoutput1_winit rad_m10pcrdbofgdp decadedum*, cluster(cs) abs(cs)

********************************************************
* Robustness: Table C6 for correlation output per worker
********************************************************

areg c10grealoutput1_w lm10rstott_sy lm10realoutput1_w decadedum*, cluster(cs) abs(cs)
areg c10grealoutput1_w lm10rstott_sy gm10realoutput1_w decadedum*, cluster(cs) abs(cs)
areg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit m10share decadedum*, cluster(cs) abs(cs)
areg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit int5 decadedum*, cluster(cs) abs(cs)
areg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit lvar10realstottrade1 decadedum*, cluster(cs) abs(cs)
areg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit lvar10realstottrade1 int1 decadedum*, cluster(cs) abs(cs)
reg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit lm10sharemanuftrade sddum*, cluster(cs)
areg c10grealoutput1_w lm10rstott_sy lrealoutput1_winit rad_m10pcrdbofgdp decadedum*, cluster(cs) abs(cs)